// Custom testbench

`timescale 1ns / 1ps

module TOP_tb;

parameter OSC_frequency = 50000000;
parameter distance_between_sensors = 0.3;

parameter OSC_period = (0.5/OSC_frequency)*10E8;

reg clk = 0;
reg nreset = 0;
reg start = 0;
wire start_oe;
reg stop = 0;
wire stop_oe;
wire [7:0] anods;
wire [3:0] catods;
wire osc_en;
wire osc_mode;


TOP #(
.OSC_frequency(OSC_frequency),
.distance_between_sensors(distance_between_sensors)
) u1(
.clk(clk),
.nreset(nreset),
.start(start),
.start_oe(start_oe),
.stop(stop),
.stop_oe(stop_oe),
.anods(anods),
.catods(catods),
.osc_en(osc_en),
.osc_mode(osc_mode)
);

always 
  #OSC_period  clk =  ! clk;    //create clk 50 MHz

  initial begin

    $dumpfile ("TOP_tb.vcd");
    $dumpvars (0, TOP_tb);
    
	#100 nreset = 1;
	#2000 start = 1;
	#100 start = 0;
	#199900 stop = 1;
	#100 stop = 0;
	#1000000 $finish;
	
  end

endmodule

